compact2, compact3
java.rmi

## Class AccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.AccessException

- All Implemented Interfaces:
    Serializable

      public class AccessException
      extends RemoteException

  An `AccessException` is thrown by certain methods of the `java.rmi.Naming` class (specifically `bind`, `rebind`, and `unbind`) and methods of the `java.rmi.activation.ActivationSystem` interface to indicate that the caller does not have permission to perform the action requested by the method call. If the method was invoked from a non-local host, then an `AccessException` is thrown.
  Since:
    JDK1.1
  See Also:
    `Naming`, `ActivationSystem`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.rmi.RemoteException

      `detail`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AccessException(String s)` | Constructs an `AccessException` with the specified detail message.
    `AccessException(String s, Exception ex)` | Constructs an `AccessException` with the specified detail message and nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.rmi.RemoteException

      `getCause, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessException

          public AccessException(String s)

      Constructs an `AccessException` with the specified detail message.
      Parameters:
        `s` - the detail message
      Since:
        JDK1.1

    - #### AccessException

          public AccessException(String s,
                                 Exception ex)

      Constructs an `AccessException` with the specified detail message and nested exception.
      Parameters:
        `s` - the detail message
        `ex` - the nested exception
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.